package Test::Repocop::Report::Tools;

use strict;
use warnings;
use IO::Compress::Gzip qw($GzipError);
use IO::Compress::Bzip2 (qw/$Bzip2Error/);

our $VERSION=0.001;

sub open_compressed_output {
    my ($dbfile)=@_;
    my ($fh);
    unless ($dbfile) {
	$fh = *STDOUT;
    } elsif ($dbfile=~/\.gz$/) {
	$fh = IO::Compress::Gzip->new( $dbfile ) or die 'gzip failed: ',$GzipError,"\n";
    } elsif ($dbfile=~/\.bz2$/) {
	$fh = IO::Compress::Bzip2->new( $dbfile ) or die 'bzip2 failed: ',$Bzip2Error,"\n";
    } else {
	open( $fh , '>', $dbfile ) or die "open $dbfile failed: $!\n";
    }
    return $fh;
}

sub close_compressed_output {
    my ($fh)=@_;
    close ($fh) unless fileno( $fh ) == 1; # don't close STDOUT
}

1;
